Vraag & Antwoord

Webprogrammeren & scripting

PHPinfo faalt

26 antwoorden
  • Heb net Apache2 geïnstalleerd en daarna PHP 4.3.4. Daarna getest of dit wel werkt... ja hij werkt maar niet voor alles. Nu vraag je je af hoe niet voor alles. Wel dit script doet die wel [code:1:c981dbb718] <? echo "Hallo, dit is een test"; ?> [/code:1:c981dbb718] dit doet die niet: [code:1:c981dbb718] <?php // Show all information, defaults to INFO_ALL phpinfo(); ?> [/code:1:c981dbb718] je ziet heel even wat die normaal moet geven, maar doet het niet " De pagina kan niet worden weergegeven. " Weet iemand waarom hij het niet doet. Ligt dit aan apache of aan php? O ja, Webserver OS is Windows Xp pro - DDR 256 MB Als ik nog informatie vergeten ben, zeg het me dan want ik ben net bezig om php te leren :D De bedoel van de webserver is om PHPBB forum te installeren. ja ik weet het moet nog MySql installeren. :-? Da ga ook nog wa worden. :) Groetjes, AMD
  • Lukt phpinfo(INFO_ALL); ook niet?
  • neen helaas niet :( heeft er iemand die apache op Windows draait en php wel lukt. dan zou ik graag zijn verhaal horen hoe hij dit voor mekaar kreeg. groetjes, AMD
  • ik kan je het volgende zeggen: 1 installeer apache, php en evt mysql 2 open je httpd.conf en voeg de regels: [list:ecf72c19e0] [*:ecf72c19e0]LoadModule php4_module c:/php/sapi/php4apache.dll [*:ecf72c19e0]AddModule mod_php4.c [*:ecf72c19e0]AddType application/x-httpd-php .php [/list:u:ecf72c19e0] toe. 3 kopieer php4ts.dll & php4apache.dll (of php4apache2.dll voor apache 2.x)naar windows/system32 4 sla httpd.conf op en kopieer ook nog een php.ini naar je windows directory 5restart apache en hij zou moeten werken.
  • Heb alles gedaan wat je hebt gezegt. Dan start apache2 niet meer op. Ik laat dit "AddModule mod_php4.c " er uit van "httpd.conf". En apache2 start op, maar geen resultaat. :( Waarom start apache2 bij mij niet op met "AddModule mod_php4.c" ? Bedankt voor je hulp, maar hellaas geen resutaat. :( O ja dit kan misschien belangrijk zijn. Ik heb php geinstalleerd via deze website http://www.ricocheting.com/server/php.html
  • je zou de readme / install eff na moeten lezen maar het kan zijn dat je nij apache 2 de AddModule mod_php4.c niet hoeft te gebruiken... (ergens gehoord) ik gebruik namelijk thuis de 1.3.x versie..
  • heeft er dan niemand Apache2 + php op zijn Windows XP systeem staan. :x dit verbaast me echt. oké dan zoeken we nog even verder..... de andere optie die ik heb is Apache 1.3xx proberen met php.. :-? Maar deze optie wil ik toch zolang mogelijk uitstellen. Greetz, AMD
  • waarom wil je het zo lang mogelijk uitstellen om apache 1.3x te draaien ipv apache 2??
  • Heb Apache 1.3xx al eens geinstalleerd en had toen veel problemen. Daarom ben ik naar Apache 2 gegaan en deze was op 5 min online. :) Greetz, AMD
  • Ik heb apache2 op win XP gedraait, werkte prima. Misschien is [url=http://sourceforge.net/projects/phptriad/]PHPtriad[/url] iets? Dat is Apache 1.3xx met MySQL en PHP voorgeinstalleerd, werkt prima! Ik heb nu phptriad op de pc op [url]http://81.204.68.6[/url], en phpinfo zie link. Krijg je een 404 dan staat de pc uit :wink:
  • je hebt wel een erg verouderde versie php versie 4.1.1 :S ik knutsel em dan wel zelf inelkaar met php4.3.3 en de laatste apache...
  • Weet ik maar boeit toch niet?
  • misschien wel in de ondersteunde opties/functies als http_post_vars etc...
  • @ Alexander Online Zal deze wel eens proberen :) Maar wil toch ook eens op de gewone manier proberen. 8) Ik doe trouwens niets verkeerd en installeer zoals het beschreven staat op verschillende websites :) Dus waar ligt de fout dan Micro$oft. :lol: Iemand moet het toch gedaan hebben hé :) Greetz, AMD
  • Ik heb de boel ook draaiende gehad op W98se, maar niet via de "PHP and Apache 2.0 as CGI", niet via "PHP and Apache 2.0 as Module" zoals jij gedaan hebt. [url=http://www.php.net/manual/nl/install.apache2.php#install.apache2.windows]PHP and Apache 2.0 on Windows[/url]
  • @ jossan heb je dan nu phptraid geinstalleerd of apache 1.3xx + php?
  • Een tijdje niets omdat ik een account bij een php ondersteunende provider heb genomen en nu weer Apache 1.3 omdat die voor W98se geadviseerd wordt.
  • dus met andere woorden, Kan ik Apache 1.3xx + php4 eens proberen voor ik phptraid installeer :-? als niemand anders een oplossing heeft voor mijn Xp - Apache2 - php4 zal ik dit vanavond maar eens proberen. Als dit maar goed komt. :) Greetz, AMD
  • Ik installeer volgens C!T van september waarbij ik de 3 voor PHP toe te voegen regels in httpd.conf van Apache vervang door onderstaande regels uit de manual:[code:1:ff2fc89c06]ScriptAlias /php/ "c:/php/" AddType application/x-httpd-php .php Action application/x-httpd-php "/php/php.exe"[/code:1:ff2fc89c06]Moest je trouwens niet de inhoud van de map dlls kopiëren naar de map System32 van Windows XP?
  • ff kleine tip tussendoor: http://www.webmasterstop.com/tutorials/apache-php-mysql-installation.shtml d.

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.